> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Overview

> Lists onboarding status, current step and progress for every employee-seat role in the org.

Required scope: `people:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-onboarding-overview
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-onboarding-overview:
    get:
      operationId: getOnboardingOverview
      summary: Get Onboarding Overview
      x-toku-required-scope: people:read
      description: >-
        Lists onboarding status, current step and progress for every
        employee-seat role in the org.


        Required scope: `people:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnboardingOverviewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOnboardingOverviewResponse:
      type: array
      items:
        type: object
        properties:
          roleInOrgId:
            type: string
          countryCode:
            type: string
          hasOnboardingRequest:
            type: boolean
          requiresVerificationCase:
            type: boolean
          overallStatus:
            type: string
            enum:
              - IN_PROGRESS
              - AWAITING_VERIFICATION
              - COMPLETED
              - ON_HOLD
          statusReason:
            type:
              - string
              - 'null'
          statusEffectiveAt:
            type:
              - string
              - 'null'
          submissionCompletedStepCount:
            type: number
          submissionTotalStepCount:
            type: number
          verificationCompletedCount:
            type: number
          verificationTotalCount:
            type: number
          outstandingChecks:
            type: array
            items:
              type: string
          status:
            type: string
            enum:
              - NOT_STARTED
              - IN_PROGRESS
              - SUBMITTED
              - COMPLETED
          backgroundCheckStatus:
            type: string
            enum:
              - NOT_REQUIRED
              - PENDING
              - CLEARED
              - FAILED
          currentStepId:
            type:
              - string
              - 'null'
          currentStepLabel:
            type:
              - string
              - 'null'
          completedStepCount:
            type: number
          totalStepCount:
            type: number
          onboardingStartedAt:
            type:
              - string
              - 'null'
          onboardingCompletedAt:
            type:
              - string
              - 'null'
          lastActivityAt:
            type:
              - string
              - 'null'
          employmentType:
            type:
              - string
              - 'null'
          startDate:
            type:
              - string
              - 'null'
          recordCreatedAt:
            type:
              - string
              - 'null'
        required:
          - roleInOrgId
          - countryCode
          - hasOnboardingRequest
          - requiresVerificationCase
          - overallStatus
          - statusReason
          - statusEffectiveAt
          - submissionCompletedStepCount
          - submissionTotalStepCount
          - verificationCompletedCount
          - verificationTotalCount
          - outstandingChecks
          - status
          - backgroundCheckStatus
          - currentStepId
          - currentStepLabel
          - completedStepCount
          - totalStepCount
          - onboardingStartedAt
          - onboardingCompletedAt
          - lastActivityAt
          - employmentType
          - startDate
          - recordCreatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
